<?php
	// Change this value to limit the number of keywords that users can search for at one time
	$config['max_num_keywords'] = '4';

	include('keywordmarketingbuddy_files/functions.php');
	
	if ($_POST['action'] == 'search') {
		if (strpos($_POST['search_phrase'],',')) {
			$keyword_array = explode(',',$_POST['search_phrase']);
		} else {
			$keyword_array[0] = $_POST['search_phrase'];
		}
		$total = count($keyword_array);
		$keyword_i = 0;
		$array_i = 0;
		while ($keyword_i < $total && $keyword_i < $config['max_num_keywords']) {
			$keyword = trim($keyword_array[$keyword_i]);
			$keyword = str_replace(' ','%20',$keyword);
			$url = 'http://inventory.overture.com/d/searchinventory/suggestion/?term=' . $keyword . '&mkt=us&lang=en_US';
			$contents = getUrlContents($url);
			$keyword_i++;
			
			preg_match_all('/<tr(.*?)<\/tr>/', $contents, $match);
			$keyword_row_i = 3;
			while($match['1'][$keyword_row_i]  != '') {
				$keyword_row_array = explode('</td>',$match['1'][$keyword_row_i]);
				$actual_word = strip_tags($keyword_row_array[1]);
				$actual_word = str_replace('&nbsp;','',$actual_word);
				$keyword_num_array = explode('>',strip_tags($keyword_row_array[0]));
				$keyword_num = str_replace('&nbsp;','',$keyword_num_array[1]);
				$keyword_display_array[$actual_word] = $keyword_num;
				$array_i++;
				//$keyword_table .= '<tr><td>' . $keyword_num . '</td><td>' . $actual_word . '</td></tr>';
				$keyword_row_i++;
			}
			//$keyword_table = '<table>' . $keyword_table . '</table>';
			
		}
		if (count($keyword_display_array) > 0) {
			arsort($keyword_display_array);
			$total = count($keyword_display_array);
			foreach ($keyword_display_array as $key => $val) {
				$keyword_table .= '<tr><td>' . $val . '</td><td>' . $key . '</td></tr>';
				$copy_text .= $key . ',' . $val . "\n";
			}
			$keyword_table = '
				<div class="copy-div">
				Click to highlight, CTL+C to copy, CTL+V to paste:<br />
				<form><textarea cols="60" rows="2" id="keyword_text" name="keyword_text" onclick="this.form.keyword_text.select()">' . $copy_text . '</textarea></form>
				</div>
				<table class="keyword-table">
					<tr>
						<th>Popularity</th>
						<th>Keyword</th>
					</tr>
					' . $keyword_table . '
				</table>';
				//$display_i = 0;
				//while ($display_i < $total) {
					//$keyword_table .= $keyword_display_array[$display_i] . '<br />';
					//$display_i++;
				//} 
		} else {
			$keyword_table .= '<p><strong>There were no results for your keyword search.</strong></p>';
		}
	}
?>
<html>
<head>
	<title>Keyword Marketing Buddy v.2.3</title>
	<link rel="stylesheet" type="text/css" href="keywordmarketingbuddy_files/styles.css">
</head>
<body>
<h1>Keyword Marketing Buddy v.2.3</h1>

<p>Enter up to <strong><?php echo $config['max_num_keywords']; ?> keyword(s)</strong>, separated with commas, to compare their relative popularity. A text-only format can be copied via a text box that appears after your search.</p>
<?php echo $result_div; ?>
<form action="keywordmarketingbuddy.php" method="post">
	<input type="hidden" name="action" value="search" />
	<table>
		<tr>
			<td>Keywords: </td>
			<td><input type="text" name="search_phrase" size="40" maxlength="150" value="<?php echo $_POST['search_phrase']; ?>" /></td>
			<td><input type="submit" value="Search &gt;&gt;" /> </td>
		</tr>
	</table>(ex: "keyword phrase one,keyword phrase two,three")
</form>
<?php echo $keyword_table; ?>
<p><a href="http://www.impliedbydesign.com">Keyword Marketing Buddy</a> is a free script offered by <a href="http://www.impliedbydesign.com">Implied By Design</a></p>
</body>
</html>